summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile2
-rwxr-xr-xtests/codec-regression.sh22
-rwxr-xr-xtests/lavfi-regression.sh37
3 files changed, 38 insertions, 23 deletions
diff --git a/Makefile b/Makefile
index 543da18e49..3a70a8f6f5 100644
--- a/Makefile
+++ b/Makefile
@@ -300,7 +300,7 @@ $(LAVF_TESTS):
$(SRC_PATH)/tests/lavf-regression.sh $@ lavf tests/vsynth1 b "$(TARGET_EXEC)" "$(TARGET_PATH)"
$(LAVFI_TESTS):
- $(SRC_PATH)/tests/codec-regression.sh $@ lavfi tests/vsynth1 b "$(TARGET_EXEC)" "$(TARGET_PATH)"
+ $(SRC_PATH)/tests/lavfi-regression.sh $@ lavfi tests/vsynth1 b "$(TARGET_EXEC)" "$(TARGET_PATH)"
seektest: codectest lavftest tests/seek_test$(EXESUF)
$(SRC_PATH)/tests/seek-regression.sh $(SEEK_REFFILE) "$(TARGET_EXEC)" "$(TARGET_PATH)"
diff --git a/tests/codec-regression.sh b/tests/codec-regression.sh
index cbc82cf13d..ca88bbb89f 100755
--- a/tests/codec-regression.sh
+++ b/tests/codec-regression.sh
@@ -342,26 +342,4 @@ do_audio_enc_dec wav s16 pcm_zork
do_audio_enc_dec 302 s16 pcm_s24daud "-ac 6 -ar 96000"
fi
-# libavfilter testing
-
-do_lavfi() {
- test_name=$1
- eval test=\$do_$test_name
- vfilters=$2
-
- if [ -n "$test" ] ; then
- do_video_encoding ${test_name}.avi "" "-vcodec rawvideo -vfilters $vfilters"
- fi
-}
-
-# example tests:
-# do_lavfi "crop" "crop=100:100:-1:-1"
-# do_lavfi "crop_scale" "crop=100:100,scale=200:-1"
-# do_lavfi "scale" "scale=200:200"
-
-# TODO: add tests for
-# direct rendering,
-# slices
-# chains with feedback loops
-
rm -f "$bench" "$bench2"
diff --git a/tests/lavfi-regression.sh b/tests/lavfi-regression.sh
new file mode 100755
index 0000000000..1f52fd7eee
--- /dev/null
+++ b/tests/lavfi-regression.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# automatic regression test for libavfilter
+#
+#
+#set -x
+
+set -e
+
+. $(dirname $0)/regression-funcs.sh
+
+eval do_$test=y
+
+rm -f "$logfile"
+rm -f "$benchfile"
+
+do_lavfi() {
+ test_name=$1
+ eval test=\$do_$test_name
+ vfilters=$2
+
+ if [ -n "$test" ] ; then
+ do_video_encoding ${test_name}.avi "" "-vcodec rawvideo -vfilters $vfilters"
+ fi
+}
+
+# example tests:
+# do_lavfi "crop" "crop=100:100:-1:-1"
+# do_lavfi "crop_scale" "crop=100:100,scale=200:-1"
+# do_lavfi "scale" "scale=200:200"
+
+# TODO: add tests for
+# direct rendering,
+# slices
+# chains with feedback loops
+
+rm -f "$bench" "$bench2"